%define	_prel	20070203

Summary:	ICB protocol plugin for Gaim
Name:		gaim-icb
Version:	0.0
Release:	%mkrel 0.%{_prel}.1
Epoch:		1
License:	GPL
Group:		Networking/Instant messaging
Url:		http://nic.com.pl/~alek/
Source0:	http://nic.com.pl/~alek/gaim-icb/%{name}-%{_prel}.tar.gz
Patch0:		%{name}-makefile.patch
BuildRequires:	libgaim-devel
Requires:	gaim 		>= 2.0.0-2.beta6
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ICB (Internet Citizen's Band) plugin for Gaim.

%prep
%setup -qn %{name}-%{_prel}
%patch0 -p1 -b .%{name}-makefile

%build
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/gaim
mkdir -p %{buildroot}%{_datadir}/pixmaps/gaim/status/default
install libicb.so %{buildroot}%{_libdir}/gaim/
install icb.png %{buildroot}%{_datadir}/pixmaps/gaim/status/default/

%makeinstall_std
    
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
    
%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/gaim/libicb.so
%attr(644,root,root) %{_datadir}/pixmaps/gaim/status/default/icb.png
    

%changelog
* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0-0.20070203.1mdv2007.0
+ Revision: 118398
- add epoch
- new version
- fix versioning
- fix url and path to tarball
- add docs

* Fri Dec 08 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 20061112-1mdv2007.1
+ Revision: 93651
- Import gaim-icb

